#include <bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false); 
    cin.tie(NULL) ; cout.tie(NULL) ;
    
	long long int n, k, a, z=0;
	cin>>n>>k;
	
	for(long long int i=0;i<n;i++){
		cin>>a;
		z+=a;
	}
		
	cout<<z/n;	
		
	return 0;
}